// options.h
/// @file
/// @brief In-game configurable options

#ifndef OPTIONS_H
#define OPTIONS_H

#if defined IS_CALCULATOR
#	define NUM_OPTIONS 7
#elif defined IS_PALM
#	define NUM_OPTIONS 3
#elif defined REALCOMPUTER
#	define NUM_OPTIONS 2
#else
#	error "Using default optionset"
#	define NUM_OPTIONS 2
#endif

#define OPTION_YES    0
#define OPTION_NO     1
#define OPTION_PROMPT 2

#define OPTION_AUTOPICKUP    0
#define	OPTION_AUTO_YES        0
#define	OPTION_AUTO_NO         1
#define	OPTION_AUTO_PROMPT     2
#define OPTION_AUTOFOLLOW    1

#define OPTION_PROMPT_DLG    2

#define OPTION_TILESIZE      2
#define OPTION_SIZE_SMALL      0
#define OPTION_SIZE_LARGE      1
#define OPTION_FONTSIZE      3
#define OPTION_FONT_SMALL      0
#define OPTION_FONT_MEDIUM     1
#define OPTION_FONT_LARGE      2
#define OPTION_AUTOARCHIVE   4
#define OPTION_ARCHIVESCORES 5
#define OPTION_ARCHIVE_YES     0
#define OPTION_ARCHIVE_NO      1
#define OPTION_GRAYSCALE     6
#define OPTION_GRAY_ON         0
#define OPTION_GRAY_OFF        1

#endif

